Bug Hunting Session
Bug 95356 - SVG export does not export strike-trough or underlined fonts
Summary: SVG export does not export strike-trough or underlined fonts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.2.0 target:5.1...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-27 10:40 UTC by Jan Holesovsky
Modified: 2016-10-25 19:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test document with underline and strike-through. (11.41 KB, application/vnd.oasis.opendocument.presentation)
2015-10-27 10:40 UTC, Jan Holesovsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2015-10-27 10:40:33 UTC
Created attachment 119997 [details]
Test document with underline and strike-through.

At least when switched to the interactive svg, the strike-through and underline is not preserved, and the text shows as if there were no underlines or so.
Comment 1 Commit Notification 2015-10-29 17:02:35 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e428786dbf73d49af611762cf08d64602c3276c9

tdf#95356 Now text decorations are applied correctly

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-11-28 23:10:59 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=50506421f29d09fa4c44c46c3d60208a64a1c450

tdf#95356: unit test about text decorations for svg export

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-11-28 23:30:06 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f16592f56efe9daa528e443ba2bf38cbeb36aa3&h=libreoffice-5-1

tdf#95356: unit test about text decorations for svg export

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.